---
title: "GnuPG: шифрование файлов"
category: Linux
tags: Linux, GnuPG, безопасность
...

Для шифрования файлов с использованием публичного ключа адресата можно выполнить команду:

```sh
tar cp files_list | pv | gpg -e --recipient user@domain.tld > archive.tar.gpg
```

По умолчанию во время шифрования данные сжимаются компрессорами `zip` или `gzip`,
поэтому сжимать данные до `gpg` не нужно. Можно отключить стандартный алгоритм сжатия и
использовать собственный компрессор, например `xz`:

```sh
tar cp files_list | pv | xz -9 | gpg -e --compress-algo none --recipient user@domain.tld > archive.tar.xz.gpg
```

Для шифрования с использованием пароля:

```sh
tar cf files_list | pv | gpg -c > archive.tar.gpg
```

Для расшифровки нужно выполнить команду:

```sh
gpg -d archive.tar.gpg --output archive.tar
```

