---
title: "Vim: кодировка файла"
category: Vim
tags: Vim,
summary:
...

Для управления кодировкой файлов можно создать дополнительное меню,
позволяющее открыть файл в выбранной кодировке, проверить её
корректность и сохранить в нужном виде. Пример кода:

```vim
" кодировка для чтения файла
set encoding=utf-8
" кодировка терминала
set termencoding=utf-8
" кодировка для записи файла
set fileencoding=utf-8
" список предполагаемых кодировок в порядке предпочтения
set fileencodings=utf8,koi8r,cp1251,cp866,latin1,ucs-2le

set wildmenu
set wcm=<Tab>
menu Encoding.Open\ as\ KOI8-R  :e ++enc=koi8-r<CR>
menu Encoding.Open\ as\ CP1251  :e ++enc=cp1251<CR>
menu Encoding.Open\ as\ CP866   :e ++enc=cp866<CR>
menu Encoding.Open\ as\ LATIN1  :e ++enc=latin1<CR>
menu Encoding.Open\ as\ UCS-2LE :e ++enc=ucs-2le<CR>
menu Encoding.Open\ as\ UTF-8   :e ++enc=utf-8<CR>
menu Encoding.Convert\ to\ UTF-8 :set fenc=utf-8<CR>
map <F12> :emenu Encoding.<Tab>
```

